# @package _group_

batch_size: 10
val_batch_size: 2
num_workers: 3

train:
  kind: default_web
  shuffle_buffer: 200
  indir: ${location.data_root_dir}/train_standard/part{00000..00039}.tar
  out_size: 256
  mask_gen_kwargs:  # probabilities do not need to sum to 1, they are re-normalized in mask generator
    irregular_proba: 1
    irregular_kwargs:
      max_angle: 4
      max_len: 200
      max_width: 100
      max_times: 5
      min_times: 1

    box_proba: 1
    box_kwargs:
      margin: 10
      bbox_min_size: 30
      bbox_max_size: 150
      max_times: 4
      min_times: 1

    segm_proba: 0

  transform_variant: distortions
  dataloader_kwargs:
    batch_size: ${data.batch_size}
    shuffle: True
    num_workers: ${data.num_workers}

val:
  indir: ${location.data_root_dir}/val
  img_suffix: .png
  dataloader_kwargs:
    batch_size: ${data.val_batch_size}
    shuffle: False
    num_workers: ${data.num_workers}

#extra_val:
#  random_thin_256:
#    indir: ${location.data_root_dir}/final_extra_val/random_thin_256
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  random_medium_256:
#    indir: ${location.data_root_dir}/final_extra_val/random_medium_256
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  random_thick_256:
#    indir: ${location.data_root_dir}/final_extra_val/random_thick_256
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  random_thin_512:
#    indir: ${location.data_root_dir}/final_extra_val/random_thin_512
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  random_medium_512:
#    indir: ${location.data_root_dir}/final_extra_val/random_medium_512
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  random_thick_512:
#    indir: ${location.data_root_dir}/final_extra_val/random_thick_512
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  segm_256:
#    indir: ${location.data_root_dir}/final_extra_val/segm_256
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}
#  segm_512:
#    indir: ${location.data_root_dir}/final_extra_val/segm_512
#    img_suffix: .png
#    dataloader_kwargs:
#      batch_size: ${data.val_batch_size}
#      shuffle: False
#      num_workers: ${data.num_workers}

visual_test:
  indir: ${location.data_root_dir}/visual_test
  img_suffix: _input.png
  pad_out_to_modulo: 32
  dataloader_kwargs:
    batch_size: 1
    shuffle: False
    num_workers: ${data.num_workers}
